<?php
function triangle(float $a, float $h): float
{
    if ($a < 0 || $h < 0) {
        throw new InvalidArgumentException("Wartości nie mogą być ujemne");
    }
    $p = 0.5 * $a * $h;  // obliczanie pola
    return (float)$p;    // zwracanie wyniku
}